"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const process = require("process");
const cli_1 = require("../cli");
const utils_1 = require("../utils");
exports.command = 'disconnect';
exports.desc = 'Disconnect from a device';
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    cli_1.default.stream.loading(`Disconnecting...`);
    yield utils_1.timeout(500);
    cli_1.default.config.credentials = undefined;
    yield cli_1.default.config.save()
        .catch(e => {
        cli_1.default.stream.error(e);
    });
    cli_1.default.stream.stopAndClear();
    cli_1.default.stream.success(`Disconnected from device`);
    process.exit();
});
