"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_1 = require("../../cli");
const ssh_1 = require("../../session/ssh");
exports.command = 'configuration';
exports.desc = 'Get hass configuration';
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const ssh = new ssh_1.SSHService();
    yield ssh.connect()
        .catch(e => {
        cli_1.cli.stream.error(e);
        process.exit();
    });
    const remoteHASSConfigPath = '/home/homeassistant/.homeassistant/configuration.yaml';
    cli_1.cli.stream.println('Loading Home Assistant configuration file at ' + remoteHASSConfigPath);
    yield ssh.getFile(remoteHASSConfigPath)
        .then(file => cli_1.cli.stream.println(file))
        .catch(e => cli_1.cli.stream.error(e));
    ssh.disconnect();
    process.exit(0);
});
