"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_1 = require("../../cli");
const session_1 = require("../../session");
exports.command = 'log';
exports.desc = `Show Home Assistant logs`;
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const ssh = new session_1.SSHService();
    try {
        yield ssh.connect();
        yield ssh.journalctlLogs(['*homeassistant*'], response => cli_1.cli.stream.print(response));
    }
    catch (e) {
        cli_1.cli.stream.error(e);
        process.exit();
    }
    ssh.disconnect();
});
