"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_1 = require("../../cli");
const ssh_1 = require("../../session/ssh");
exports.command = 'restart';
exports.desc = 'Restart Home Assistant';
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const ssh = new ssh_1.SSHService();
    yield ssh.connect()
        .catch(e => {
        cli_1.cli.stream.error(e);
        process.exit();
    });
    cli_1.cli.stream.loading('Restarting Home Assistant');
    yield ssh.restartHomeAssistant().catch(e => cli_1.cli.stream.error(e));
    cli_1.cli.stream.success();
    ssh.disconnect();
    process.exit();
});
