import { SSHService } from '../../session';
import { Snipsfile } from '../../models';
export declare type SkillSnippet = {
    type: string;
    snippets: string[];
};
export declare class SkillSetup {
    private ssh;
    private git;
    private branch;
    snippets: void | Map<string, SkillSnippet>;
    snipsfile: Snipsfile;
    hasPythonSkill: boolean;
    hasHassSkill: boolean;
    hasGitSkill: boolean;
    hassSnippets: Map<string, string[]>;
    hassCfgPath: string;
    constructor(ssh: SSHService, git?: string | undefined, branch?: string | undefined);
    run(): Promise<void>;
    runSetupSH(generatedSkills: any): Promise<void>;
    updateConfigSecrets(folder: any, skillName?: any): Promise<void>;
    promptForSecretParameters(generatedSkills: any): Promise<void>;
    setupHomeAssistantSkill(): Promise<void>;
    private askUserForCustomHassInstallConfigurationPath();
    private installHass();
}
