"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const process = require("process");
const cli_1 = require("../cli");
const session_1 = require("../session");
exports.command = 'logout';
exports.desc = 'Logout of the console';
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    try {
        if (cli_1.default.config.user === undefined || cli_1.default.config.consoleToken === undefined) {
            cli_1.default.stream.error(`You are already logged out`);
            process.exit(1);
            return;
        }
        cli_1.default.stream.loading('Logging out');
        const client = new session_1.ConsoleClient();
        yield client.logout(cli_1.default.config.user.id, cli_1.default.config.consoleToken.alias);
        cli_1.default.stream.success('Logged out');
    }
    catch (e) {
        cli_1.default.stream.error(e.message);
    }
    process.exit();
});
