"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_1 = require("../../cli");
const session_1 = require("../../session");
exports.command = 'stop [services...]';
exports.desc = `Stop Snips services`;
exports.builder = yargs => {
    return yargs
        .positional('services', {
        describe: 'Service(s) to stop. If none is provided, it will stop all Snips services.',
        type: 'array',
        choices: session_1.availableSnipsServices,
        demandOption: false,
    });
};
exports.handler = (argv) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const services = JSON.parse(JSON.stringify(argv)).services;
    const ssh = new session_1.SSHService();
    try {
        yield ssh.connect();
        yield ssh.stopServices(services);
    }
    catch (e) {
        cli_1.cli.stream.error(e);
        process.exit();
    }
    ssh.disconnect();
});
