"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_1 = require("../../cli");
const ssh_1 = require("../../session/ssh");
const utils_1 = require("../../utils");
exports.command = 'mqtt [toggle]';
exports.desc = false;
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    cli_1.cli.stream.loading('Sending MQTT messages');
    const ssh = new ssh_1.SSHService();
    yield ssh.connect()
        .catch(e => {
        cli_1.cli.stream.error(e);
        process.exit();
    });
    yield ssh.run(`mosquitto_pub -t hermes/dialogueManager/sessionStarted -m '{"sessionId":"da4aec4c-b37a-4440-a3fa-d82d0d307932","customData":null,"siteId":"default","reactivatedFromSessionId":null}' `)
        .then((_) => tslib_1.__awaiter(this, void 0, void 0, function* () { return yield utils_1.timeout(500); }))
        .then(_ => ssh.run(`mosquitto_pub -t hermes/nlu/lightsTurnOnSet -m '{"sessionId":"da4aec4c-b37a-4440-a3fa-d82d0d307932","customData":null,"siteId":"default","input":"turn on the lights in the kitchen","intent":{"intentName":"lightsTurnOnSet","probability":0.8168273},"slots":[{"rawValue":"kitchen","value":{"kind":"Custom","value":"kitchen"},"range":{"start":26,"end":33},"entity":"house_room","slotName":"house_room"}]}' `))
        .then((_) => tslib_1.__awaiter(this, void 0, void 0, function* () { return yield utils_1.timeout(1000); }))
        .then(_ => ssh.run(`mosquitto_pub -t hermes/dialogueManager/sessionEnded -m '{"sessionId":"da4aec4c-b37a-4440-a3fa-d82d0d307932","customData":null,"termination":{"reason":"timeout"},"siteId":"default"}' `));
    cli_1.cli.stream.success();
    ssh.disconnect();
    process.exit(0);
});
