"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const cli_1 = require("../../cli");
const ssh_1 = require("../../session/ssh");
exports.command = 'speaker';
exports.desc = 'Test your device speaker';
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    cli_1.cli.stream.println('Testing speaker');
    const ssh = new ssh_1.SSHService();
    yield ssh.connect()
        .catch(e => {
        cli_1.cli.stream.error(e);
        process.exit();
    });
    try {
        ssh.speakerTest().catch(e => cli_1.cli.stream.error(e));
        yield cli_1.cli.prompt.waitForKeypress('Playing sound on your speaker. Press Enter to stop...', () => {
            cli_1.cli.stream.success();
        })
            .catch(_ => { });
        ssh.stopSpeakerTest().catch(_ => { });
    }
    catch (e) {
        cli_1.cli.stream.stop();
        cli_1.cli.stream.error('Error testing the speaker: ' + e.message);
        ssh.disconnect();
        process.exit();
    }
    cli_1.cli.stream.done();
    cli_1.cli.stream.hint(`Didn't hear anything ? Run : ` + chalk_1.default.blue(`sam setup audio`));
    ssh.disconnect();
    process.exit();
});
