"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_1 = require("../cli");
const session_1 = require("../session");
exports.command = 'watch';
exports.desc = 'Show MQTT logs';
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const ssh = new session_1.SSHService();
    yield ssh.connect()
        .catch(e => {
        cli_1.cli.stream.error(e);
        process.exit();
    });
    yield ssh.launchSnipsWatch(string => cli_1.cli.stream.print(string));
    ssh.disconnect();
});
