import { User, ConsoleToken, Assistant, AssistantStatus, ASRTrainingStatus } from '../models';
export declare class ConsoleClient {
    private wretch;
    constructor();
    login(email: string, password: string): Promise<User>;
    logout(userId: string, alias: string): Promise<void>;
    accessToken(userId: string, jwtToken: string): Promise<ConsoleToken>;
    assistantList(userId: string): Promise<Assistant[]>;
    assistantStatus(assistantId: string): Promise<AssistantStatus>;
    nluTraining(assistantId: string, forceTraining?: boolean): Promise<void>;
    asrTrainingStatus(assistantId: string): Promise<ASRTrainingStatus>;
    asrTraining(assistantId: string, forceTraining?: boolean): Promise<void>;
    downloadAssistant(assistantId: string, steps: (string) => void, forceNLUTraining?: boolean, forceASRTraining?: boolean): Promise<string>;
}
