"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const omit = require('lodash.omit');
class ArgParser {
    constructor(argv) {
        this.args = JSON.parse(JSON.stringify(argv))['_'];
        this.argd = ArgParser.getKeyValues(this.args);
    }
    static getKeyValues(args) {
        if (!args)
            return {};
        const argd = {};
        for (const arg of args) {
            const s = arg.split('=');
            if (s.length >= 2) {
                argd[s[0]] = s[1];
            }
        }
        return argd;
    }
    getValue(key) {
        return this.argd[key];
    }
    getArgd(omitKeys) {
        return omit(this.argd, omitKeys);
    }
}
exports.ArgParser = ArgParser;
