import { User, DeviceCredentials, ConsoleToken } from '../models';
export declare const samConfigDirectory: string;
export declare const localConfigurationFilePath: string;
export declare class Config {
    credentials?: DeviceCredentials;
    user?: User;
    consoleToken?: ConsoleToken;
    constructor();
    load(): void;
    save(): Promise<void>;
    static hostnameQuestion: {
        name: string;
        type: string;
        default: string;
        message: string;
        validate: (value: any) => true | "Hostname cannot be blank";
    }[];
    static usernameQuestion: {
        name: string;
        type: string;
        default: string;
        message: string;
        validate: (value: any) => true | "Username cannot be blank";
    }[];
    static passwordQuestion: {
        name: string;
        type: string;
        default: string;
        message: string;
        validate: (value: any) => true | "Password cannot be blank";
    }[];
}
