"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const os_1 = require("os");
const values = require('lodash.values');
const shell = require('shelljs');
exports.scanNetwork = () => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const response = shell.exec(`arp -na | grep -i b8:27:eb | awk '{print $2}'`, { async: false, silent: true });
    if (response.length === 0) {
        throw new Error('No devices discovered');
    }
    return response.split('\n')
        .filter((line, index, array) => array.indexOf(line) === index)
        .filter(line => line.length > 0)
        .map(ip => ip.replace('(', '').replace(')', ''));
});
exports.getLocalExternalIp = () => [].concat.apply([], values(os_1.networkInterfaces()))
    .filter(details => details.family === 'IPv4' && !details.internal)
    .pop().address;
