"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const timers_1 = require("timers");
exports.timeout = (ms) => tslib_1.__awaiter(this, void 0, void 0, function* () { return new Promise(res => timers_1.setTimeout(res, ms)); });
class Deferred {
    constructor(timeout) {
        if (timeout !== undefined) {
            this.timeoutTimer = timers_1.setTimeout(() => {
                this.reject(`${timeout}ms timeout`);
            }, timeout);
        }
        this.promise = new Promise((resolve, reject) => {
            this.resolve = resolve;
            this.reject = reject;
        })
            .then(r => {
            timers_1.clearTimeout(this.timeoutTimer);
            return r;
        })
            .catch(e => {
            timers_1.clearTimeout(this.timeoutTimer);
            return e;
        });
    }
}
exports.Deferred = Deferred;
