"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Stats {
    static mean(vals) {
        if (vals.length === 0)
            return NaN;
        return (this.sum(vals) / vals.length);
    }
    static variance(vals) {
        const avg = this.mean(vals);
        const diffs = vals.map(val => Math.pow((val - avg), 2));
        return this.mean(diffs);
    }
    static standardDeviation(vals) {
        return Math.sqrt(this.variance(vals));
    }
    static sum(vals) {
        return vals.reduce((previous, next) => previous + next);
    }
}
exports.Stats = Stats;
