import { Prompt, Config, Stream, versionUpdateNotifier } from './utils'

export class CLI {

    public stream: Stream
    public prompt: Prompt
    public config: Config

    constructor() {
        try {
            this.stream = new Stream(process.stdout)
            this.prompt = new Prompt(this.stream)
            this.config = new Config()
        } catch (e) {
            this.stream.error(e)
        }
        versionUpdateNotifier()
    }
}

export const cli = new CLI()
export default cli
