import * as process from 'process'
import * as yargs from 'yargs'
import cli from '../cli'
import { timeout } from '../utils'

exports.command = 'disconnect'
exports.desc = 'Disconnect from a device'

exports.handler = async (_: yargs.Argv) => {
    cli.stream.loading(`Disconnecting...`)
    await timeout(500)
    cli.config.credentials = undefined
    await cli.config.save()
    .catch(e => {
        cli.stream.error(e)
    })
    cli.stream.stopAndClear()
    cli.stream.success(`Disconnected from device`)
    process.exit()
}
