import * as yargs from 'yargs'
import { cli } from '../../cli'
import { SSHService } from '../../session/ssh'

exports.command = 'configuration'
exports.desc = 'Get hass configuration'

exports.handler = async (_: yargs.Argv) => {
    const ssh = new SSHService()
    await ssh.connect()
    .catch(e => {
        cli.stream.error(e)
        process.exit()
    })

    const remoteHASSConfigPath = '/home/homeassistant/.homeassistant/configuration.yaml'
    cli.stream.println('Loading Home Assistant configuration file at ' + remoteHASSConfigPath)

    await ssh.getFile(remoteHASSConfigPath)
    .then(file => cli.stream.println(file))
    .catch(e => cli.stream.error(e))

    ssh.disconnect()
    process.exit(0)
}
