import * as yargs from 'yargs'
import { cli } from '../../cli'
import { SSHService } from '../../session'

exports.command = 'log'
exports.desc = `Show Home Assistant logs`

exports.handler = async (_: yargs.Argv) => {
    const ssh = new SSHService()
    try {
        await ssh.connect()
        await ssh.journalctlLogs(['*homeassistant*'], response => cli.stream.print(response))
    } catch (e) {
        cli.stream.error(e)
        process.exit()
    }
    ssh.disconnect()
}
