import * as yargs from 'yargs'
import { cli } from '../../cli'
import { SSHService } from '../../session/ssh'

exports.command = 'restart'
exports.desc = 'Restart Home Assistant'

exports.handler = async (_: yargs.Argv) => {
    const ssh = new SSHService()
    await ssh.connect()
    .catch(e => {
        cli.stream.error(e)
        process.exit()
    })

    cli.stream.loading('Restarting Home Assistant')
    await ssh.restartHomeAssistant().catch(e => cli.stream.error(e))
    cli.stream.success()

    ssh.disconnect()
    process.exit()
}
