import * as process from 'process'
import * as yargs from 'yargs'
import cli from '../cli'
import { ConsoleClient } from '../session'

exports.command = 'logout'
exports.desc = 'Logout of the console'

exports.handler = async (_: yargs.Argv) => {
    try {
        if (cli.config.user === undefined || cli.config.consoleToken === undefined) {
            cli.stream.error(`You are already logged out`)
            process.exit(1)
            return
        }
        cli.stream.loading('Logging out')
        const client = new ConsoleClient()
        await client.logout(cli.config.user!.id, cli.config.consoleToken!.alias)
        cli.stream.success('Logged out')
    } catch (e) {
        cli.stream.error(e.message)
    }
    process.exit()
}
