import * as yargs from 'yargs'
import { cli } from '../cli'
import { SSHService } from '../session'

exports.command = 'watch'
exports.desc = 'Show MQTT logs'

exports.handler = async (_: yargs.Argv) => {
    const ssh = new SSHService()
    await ssh.connect()
    .catch(e => {
        cli.stream.error(e)
        process.exit()
    })
    await ssh.launchSnipsWatch(string => cli.stream.print(string))
    ssh.disconnect()
}
