export class Assistant {

    id: string
    title: string
    language: string
    asrType: string
    hotword: string

    constructor(title: string, language: string, asrType: string, hotword: string) {
        this.title = title
        this.language = language
        this.asrType = asrType
        this.hotword = hotword
    }

    public static fromJSON = (json: any): Assistant | undefined => {
        return Object.assign(json)
    }
}

export class AssistantStatus {
    inProgress: boolean
    needTraining: boolean
    approximateDownloadSize: number
    trainingResult: string

    constructor(json: any) {
        Object.assign(this, json)
    }
}

export class ASRTrainingStatus {
    assistantId: string
    status: string
    failure: string

    constructor(json: any) {
        Object.assign(this, json)
    }
}
