export class AssistantFile {

    id: string
    name: string
    language: string
    asr: string
    analyticsEnabled: boolean
    platform: string
    hotword: string
    intents: AssistantFileIntent[]

    constructor(file: any) {
        const json = JSON.parse(file)
        const assistant: AssistantFile = Object.assign(json)
        assistant.platform = json['platform']['type']
        assistant.asr = json['asr']['type']
        assistant.intents = json['intents'].map(intent => new AssistantFileIntent(intent))
        return assistant
    }
}

export class AssistantFileIntent {
    id: string
    slots: AssistantFileIntentSlot[]

    constructor(json: any) {
        return Object.assign(json)
    }
}

export class AssistantFileIntentSlot {
    name: string
    description: string

    constructor(json: any) {
        return Object.assign(json)
    }
}
