export enum DeviceStatus {
    LIVE,
    LIVE_NO_ASSISTANT,
    NOT_LIVE,
}

export class Device {

    name?: string
    osVersion?: string | undefined
    snipsVersion?: string | undefined
    samVersion?: string | undefined
    status: DeviceStatus

    constructor(name?: string, osVersion = undefined, snipsVersion = undefined, samVersion = undefined, status: DeviceStatus = DeviceStatus.NOT_LIVE) {
        this.name = name
        this.osVersion = osVersion
        this.snipsVersion = snipsVersion
        this.samVersion = samVersion
        this.status = status
    }
}

export interface DeviceCredentials {
    hostname: string
    username: string
}
