import { Skill } from './skill'
const yaml = require('js-yaml')

export class Snipsfile {

    assistantId: string
    skills: Skill[]
    stringRepresentation?: string

    constructor(file: string) {
        const doc = yaml.safeLoad(file)
        this.assistantId = doc.assistant_id
        if (doc.skills) {
            this.skills = doc.skills.map(skill => {
                let newSkill: Skill
                try {
                    newSkill = new Skill(skill)
                    return newSkill
                } catch (e) {
                    // Silent error, the skill is missing name / url and it shouldn't normaly happen
                }
            })
        } else {
            this.skills = []
        }
    }
}
