import { networkInterfaces } from 'os'
const values = require('lodash.values')
const shell = require('shelljs')

export const scanNetwork = async (): Promise<string[]> => {
    const response = shell.exec(`arp -na | grep -i b8:27:eb | awk '{print $2}'`, { async: false, silent: true })
    if (response.length === 0) {
        throw new Error('No devices discovered')
    }
    return response.split('\n')
        .filter((line, index, array) => array.indexOf(line) === index)
        .filter(line => line.length > 0)
        .map(ip => ip.replace('(', '').replace(')', ''))
}

export const getLocalExternalIp = () => [].concat.apply([], values(networkInterfaces()))
    .filter(details => details.family === 'IPv4' && !details.internal)
    .pop().address
