export class Stats {

    static mean(vals: number[]) {
        if (vals.length === 0) return NaN
        return (this.sum(vals) / vals.length)
    }

    static variance(vals: number[]) {
        const avg = this.mean(vals)
        const diffs = vals.map(val => Math.pow((val - avg), 2))
        return this.mean(diffs)
    }

    static standardDeviation(vals: number[]) {
        return Math.sqrt(this.variance(vals))
    }

    static sum(vals: number[]) {
        return vals.reduce((previous, next) => previous + next)
    }
}

